GET /api/v1/envelopes/{envelopeId}/files/completed — Download Completed Envelope Files
Download the signed and completed files from an envelope. Only available after all signers have completed signing.
Authentication
Bearer
Request Headers
- Authorization (required)
- Bearer {token}
Path Parameters
- envelopeId (string, required)
- The unique identifier of the completed envelope
Responses
HTTP 200 — Completed files returned
{
"data": [
{
"fileName": "A Simple PDF File.pdf",
"file": "file Base64 bit"
}
],
"errorCode": 0,
"message": null,
"returnUrl": "/dashboard",
"stateValidationErrors": null,
"signature": ""
}HTTP 409 — Envelope not yet completed
{
"data": null,
"errorCode": 14,
"message": "The envelope is not complete, you can't download the file",
"returnUrl": "/dashboard",
"stateValidationErrors": null,
"signature": ""
}